{
  description = "System information in JSON format for eww";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    rust-overlay = {
      url = "github:oxalica/rust-overlay";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = {
    nixpkgs,
    rust-overlay,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachSystem ["x86_64-linux" "aarch64-linux"] (
      system: let
        overlays = [(import rust-overlay)];
        pkgs = import nixpkgs { inherit system overlays; };
        rustVersion = pkgs.rust-bin.fromRustupToolchainFile ./rustup-toolchain.toml;
        pkgsFor = nixpkgs.legacyPackages;
      in {
        formatter = pkgs.alejandra;
        packages.default = pkgsFor.${system}.callPackage ./. {};
        devShells.default = with pkgs;
          mkShell {
            buildInputs = [
              bacon
              rustVersion
            ];
          };
      }
    );
}
